Skip to main content
`Ctrl`+`K`

# DSReset

Resets the `DS` context to the initial state.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSReset(DS ds)

Collective

## Input Parameter

- ds - the direct solver context

## Note

All data structures with size depending on the leading dimension of `DSAllocate()` are released.

## See Also

DS: Direct Solver (or Dense System), `DSDestroy()`, `DSAllocate()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsbasic.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages